Eclipse Platform Release 3.7

## org.eclipse.update.operations
Interface IOperation

All Known Subinterfaces:
  IBatchOperation, IConfigFeatureOperation, IFeatureOperation, IInstallFeatureOperation, IReplaceFeatureVersionOperation, IRevertConfigurationOperation, IToggleSiteOperation, IUnconfigFeatureOperation, IUninstallFeatureOperation

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IOperation

Base update manager operation.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`boolean` `execute(IProgressMonitor pm, IOperationListener listener)` Deprecated. Executes operation.
`boolean` `isProcessed()` Deprecated. Returns true when the operation has been processed.
`void` `markProcessed()` Deprecated. Marks the operation as processed.

Method Detail

### isProcessed

    boolean isProcessed()

  Deprecated.
  Returns true when the operation has been processed.

  Returns:
    true when the operation completed.

### markProcessed

    void markProcessed()

  Deprecated.
  Marks the operation as processed.

### execute

    boolean execute(IProgressMonitor pm,
                    IOperationListener listener)
                    throws CoreException,
                           InvocationTargetException

  Deprecated.
  Executes operation.

  Parameters:
    `pm` - Progress monitor for the operation
    `listener` - Operation listener
  Returns:
    true if operation was successful and a restart is needed.
  Throws:
    `CoreException`
    `InvocationTargetException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.